Subject: Re: Netscape doesn't show right login-dir (no dir - Problem!)

From: Kai Krebber <[email-masked]>
Date: Tue, 14 Jan 1997 11:01:55 +0100

>Kai Krebber wrote:
>> 
>> Howdy!
>> 
>> After setting up wuftpd for guest-logins, a connection with 
>>command-line-ftp brings me exact to the login-dir as stated
>>in the passwd (e.g. "\export\home\guest1\.\sub1").
>>Unfortenately trying to ftp via Netscape shows the root-dir
>>of the guest to which the chroot changed, not the sub1. 
>>Clicking there at sub1 brings me to the desired directory.
>> How do I tell netscape to directly show the contents of 
>>sub1, like the text-oriented ftp does?
>
>ftp://user@host/sub1/

Yeah, that'll do it. But it's only a workaround. Then you can spare
the right part after /./ in passwd at all. The information given here
should be used by netscape, like with a 'normal' ftp-client.
>Kai Krebber wrote:
>> 
>> Howdy!
>> 
>> After setting up wuftpd for guest-logins, a connection with 
>>command-line-ftp brings me exact to the login-dir as stated
>>in the passwd (e.g. "\export\home\guest1\.\sub1").
>>Unfortenately trying to ftp via Netscape shows the root-dir
>>of the guest to which the chroot changed, not the sub1. 
>>Clicking there at sub1 brings me to the desired directory.
>> How do I tell netscape to directly show the contents of 
>>sub1, like the text-oriented ftp does?
>
>ftp://user@host/sub1/

Yeah, that'll do it. But it's only a workaround. Then you can spare
the right part after /./ in passwd at all (just looking at netscape). 
The information given here should be used by netscape, like with
a 'normal' ftp-client. I'm just trying to utilize the abilities of wuftpd.

---

From: Bob Myers <[email-masked]>
Date: Thu, 16 Jan 1997 00:57:50 -0800

> should be used by netscape, like with a 'normal' ftp-client.

Nope.  No can do.  FTP URLs need to be set up this way - otherwise
there's no way to get to directories above the home directory.

Not really a Netscape issue, but a Web standards issue.  Every web
browser works this way (or at least they should!).